lb_main();

function lb_main() {
    try {
        var result = {};
        if (getDigest) {
            var digestContent = getDigestContent();
            if (digestContent) {
               result.digestText = digestContent;
            }
        } else {
            var digestContent = new Object();
            digestContent.digestSummary = "";
            digestContent.imgUrl = "";
            digestContent.title = "";
            digestContent.url = "";
            result.digestText = digestContent;
        }
        var textContent = null;
        if (null != window.grabWebviewText && typeof(pressPointX) != "undefined" && typeof(pressPointY) != "undefined") {
            LbDebug("");
            window.HWTimestampStart = (new Date()).getTime();
            textContent = grabWebviewText(pressPointX, pressPointY);
            result.text = textContent;
            window.grabWebviewText = null;
        }
        if(getDigest) {
            if (window.packageName) {
                if (window.packageName.indexOf("com.eg.android.AlipayGphone") > -1) {
                    digestContent = JSON.stringify(result);
                }
            }
        }
        return result;
    } catch (e) {
        LbDebug("Detect content error: name: " + e.name +
           "message: " + e.message +
           "\nlineNumber: " + e.lineNumber +
           "fileName: " + e.fileName);
        LbDebug(e.stack);
        return "";
    }

    return ""
}
