;
/*
Dependency: if body is empty, image will be ignored
*/

var PackagePattern = {
    "com.netease.newsreader.activity": {
        "image": "#article_body a img[id^='imgContent'],section:eq(0) img",
        "channel" : ".doc_header_desc a,.reader__info__name.ellipsis"
    },
    "com.ss.android.article.news": {
        "channel" : ".author-name-link.pgc-link"
    },
    "com.ifeng.news2":{
        "channel" : ".source"
    },
    "com.jsbc.lznews": {
        "ignoreUrl": true
    },
    "com.jianshu.haruki": {
        "ignoreUrl": true
    },
    "cn.guancha.app": {
        "ignoreUrl": true
    },
    "com.eastmoney.android.berlin": {
        "ignoreUrl": true
    },
    "com.cutt.zhiyue.android.app236492":{
        "ignoreUrl": true
    },
    "com.xcar.activity":{
       "ignoreUrl": true
    },
    "com.cn21.android.news":{
       "image":"[class*='content'] img"
    },
    "com.tencent.news":{
       "image":"img.preload-image"
    },
    "com.zhihu.android":{
       "image":"img.content_image,img.origin_image"
    },
    "com.jiemian.news":{
       "image":"div.bigphoto a img,div.article-img a img,img.img_one"
    },
    "com.cubic.autohome":{
       "image":"div.picbox img,img.img-responsive"
    },
    "com.hupu.games":{
         "image":"img.article-deposit-pic"
    },
    "com.lingan.seeyou":{
        "image":"img.image"
    },
   "cn.com.modernmedia.businessweek":{
        "image":".toutu img"
    },
     "com.sohu.newsclient":{
        "ignoreUrl": true
    },
    "com.caing.news":{
        "title":"div h1",
        "image":"div img"
    },
    "com.ldfs.wxkd":{
        "ignoreUrl": true
    },
    "com.huxiu":{
        "image":"header img"
    },
    "com.sohu.auto.sohuauto":{
       "ignoreUrl": true
    },
    "com.dongqiudi.news":{
        "image":"div.con img"
    },
    "com.ruanmei.ithome":{
        "ignoreUrl": true
    },
    "com.tencent.reading":{
        "title":"title"
    }
};

var DomainPattern = {
    "m.baidu.com" : {
        "title" : "title",
        "body": ".article-body,div[class*='article']",
        "titleIframe" : ["iframe"],
        "bodyIframe" : ["iframe"],
        "imageIframe" : ["iframe"]
    },
    "m.people.cn":{
        "body":"div.article_text",
        "image":"div.wb_txt img"
    },
    "m.sohu.com":{
        "image":"div.display-content img"
    },
    "feeds.cloud.huawei.com":{
        "title" : "title",
        "image" : "div.hwb-news-picture img.swiperImg"
    }
};

var browserList = ["com.tencent.mtt"
,"com.UCMobile"
,"com.ijinshan.browser_fast"
,"com.android.packageinstaller"
,"sogou.mobile.explorer"
,"sogou.mobile.explorer.huawei"
,"com.browser2345"
,"com.oupeng.mini.android"
,"com.ume.browser"
,"com.baidu.hao123"
,"com.mx.browser"
,"com.huohoubrowser"
,"com.baidu.browser.apps"
,"com.tencent.mobileqq"
,"com.funnylemon.browser"
,"com.tencent.mm"
,"com.qihoo.browser"
,"com.hipu.yidian"
,"com.android.browser"
,"com.huawei.browser"
]